Bug 1013612 - Partition size is not updated when shrinking partition
Partition size is not updated when shrinking partition
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 08:57 EDT by Kamil Páral
Modified: 2013-10-22 04:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-20.25.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 01:37:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug demonstration video (484.28 KB, video/ogg)
2013-09-30 08:57 EDT, Kamil Páral
no flags Details
anaconda.log (18.77 KB, text/plain)
2013-09-30 08:58 EDT, Kamil Páral
no flags Details
program.log (17.88 KB, text/plain)
2013-09-30 08:58 EDT, Kamil Páral
no flags Details
storage.log (87.47 KB, text/plain)
2013-09-30 08:58 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-09-30 08:57:41 EDT
Created attachment 805183 [details]
bug demonstration video

Description of problem:
In custom partition, I tried to shrink an existing partition that was covering the whole disk. When I update Desired Capacity and click on Update Settings, the Available Space is updated, but the partition is still displayed at its original size. I would expect the partition size indicator to show the newly defined size.

See attached video.

Version-Release number of selected component (if applicable):
F20 Alpha Live
anaconda 20.18-1

How reproducible:
always

Steps to Reproduce:
1. create a single partition over the whole disk
2. enter custom partitioning and try to shrink the partition
Comment 1 Kamil Páral 2013-09-30 08:58:25 EDT
Created attachment 805185 [details]
anaconda.log
Comment 2 Kamil Páral 2013-09-30 08:58:32 EDT
Created attachment 805186 [details]
program.log
Comment 3 Kamil Páral 2013-09-30 08:58:40 EDT
Created attachment 805187 [details]
storage.log
Comment 4 Fedora Update System 2013-10-16 20:26:03 EDT
anaconda-20.25.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.1-1.fc20
Comment 5 Fedora Update System 2013-10-17 16:30:50 EDT
Package anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.1-1.fc20 python-blivet-0.23.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19194/python-blivet-0.23.1-1.fc20,anaconda-20.25.1-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-22 01:37:46 EDT
anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Kamil Páral 2013-10-22 04:33:37 EDT
Verified fixed.

Note You need to log in before you can comment on or make changes to this bug.